Subject: Re: [6tsch] focussing on charter: use cases

From: Alexandru Petrescu <[email-masked]>
Date: Wed, 03 Apr 2013 13:39:27 +0200

Le 21/03/2013 16:52, Pascal Thubert (pthubert) a écrit :
[...]
> - vehicular automation. We can save copper for most of the man to
> machine interfaces, which translates in both lower price and lower
> gas consumption.

For vehicular aspects, one may be interested in looking at the ITS
effort at IETF.

Generally speaking, inside a vehicle there may be a need for a link
layer which is more reliable for more critical applications.

But still inside the vehicle, there are many many link technologies
deployed.  One may name CAN and also Ethernet.

For vehicle-to-vehicle communications many _other_ link layer
technologies are considered (different than what's inside).  E.g. there
is CAN inside and 802.11p outside.  Some characteristics of 802.11p make
it high-power (as opposed to low power of 802.15.4).

There is also the 'route automation' concept, which is like
Vehicle-to-Roadside communications, or maybe charging via special rails,
etc.

The concepts are very numerous in this space and may be treated separately.

At the same time, yes - MANET and RoLL WGs (and MANEMO BoF) came up with
aspects of routing protocols which may need to be considered together.

Yours,

Alex

> - commercial automation. As you suggest, we can do asset tracking
> operations on the move, report temperature of freezers.
>
> For health care, I'd agree but we have to be very cautious in what
> we claim. There is so much regulation around that we cannot commit
> that the technology is good enough to replace a wire which is
> sometimes imposed by law, actually.
>
> Basically, I'd say that 6TSCH can play many places where people
> expected zigbee but did not find it reliable enough.
>
> Pascal
>
>
> -----Original Message----- From: [email-masked]
> [mailto:[email-masked]] On Behalf Of Qin Wang Sent: jeudi 21
> mars 2013 15:52 To: Thomas Watteyne Cc: [email-masked] Subject: Re:
> [6tsch] focussing on charter: use cases
>
> Pascal and Thomas,
>
> I agree it is very important to specify the use cases which 6tus
> will support. Here is some comments and suggestions.
>
> (1) Regarding to industry automation, I think it may be better to
> describe Process Automation and Factory Automation separately.
>
> (2) Other potential use cases: - Health care - Asset tracking and
> monitoring - Location based service
>
> Qin
>
>
>
>> Pascal, all,
>>
>> Absolutely agreed. I believe we have started exploring quite a bit,
>> enough to have a clear understanding of what we can achieve with
>> this technology as a WG. So let's spend some time on use cases and
>> building a good case to convince an AD.
>>
>> We could start by listing what TSCH is "good at", and what makes it
>> different from other solutions. I see the following: - reliability:
>> 5 9's of end-to-end reliability are commonplace. - low-power:
>> aggressive radio duty cycling of the mote's radio yields much
>> longer lifetime in battery-powered devices. - traffic engineering:
>> the clear identification of resources allows for flow independence
>> and QoS.
>>
>> Of course, from those points, industrial applications immediately
>> come to mind. Yet, we could take use cases from other areas. We
>> could for example take the ROLL requirement drafts as a skeleton
>> (I'm paraphrasing some of the points Xavi and Alfredo made).
>>
>> - industrial automation. A 6TSCH network can allow for high
>> reliability, and deterministic behavior. Link over-provisioning can
>> efficiently combat the unreliable nature of wireless and provide a
>> robust communication. - building automation. A 6TSCH network can
>> serve as an "umbrella" network for a large number of sensing points
>> in the building. These sensing points can be owned and operated by
>> different entities (e.g. HVAC and lighting). The 6TSCH network
>> allows for the different traffic flows to stay independent from one
>> another. - because of a 6TSCH node is deeply duty cycle, remote
>> sensing application (e.g. agricultural applications) can rely on
>> energy harvesting as power source. - A smart urban parking
>> application can benefit from the reliabilty of 6TSCH network since,
>> even though the vehicle detection sensor may be static, the
>> constant movement of cars around the sensing points can cause the
>> wireless environment to quickly change.
>>
>> Thomas
>>
>> On Tue, Mar 19, 2013 at 12:08 PM, Pascal Thubert (pthubert) <
>> [email-masked]> wrote:
>>
>>> Dear ML:****
>>>
>>> ** **
>>>
>>> The activity that we generate on the mailing list is a good
>>> indication we will be very successful as a WG. First thing first,
>>> though, we need to create the WG and need to focus a little bit
>>> on the necessary steps to get there.****
>>>
>>> ** **
>>>
>>> We need to put together a rough charter, and convince an AD,
>>> probably Adrian from Routing Area or Ted from Internet Area,
>>> that we have real problems to solve and that we, as a group, can
>>> provide valuable answers. The ADs agendas are very full all the
>>> time, but certainly peaks around the meeting times. So we have
>>> about 2 week in front of us to prepare a solid case.****
>>>
>>> ** **
>>>
>>> So I suggest we step back a minute from the details of time
>>> frames and priorities and spend some energy on the use cases,
>>> the problems we are solving, and the work we have to do to get
>>> there. I notice a cool discussion on mobility and the particular
>>> case of a crane, well that’s a use case. We already had
>>> centralized deterministic (hard slot) routes for command and
>>> control, distributed deterministic (soft slots) and non
>>> deterministic QoS based flows. Do we have others cases?****
>>>
>>> ****
>>>
>>> Cheers,****
>>>
>>> ** **
>>>
>>> Pascal****
>>>
>>> ** **
>>>
>>> ** **
>>>
>>> _______________________________________________ 6tsch mailing
>>> list [email-masked] https://www.ietf.org/mailman/listinfo/6tsch
>>>
>>>
>> _______________________________________________ 6tsch mailing list
>>  [email-masked] https://www.ietf.org/mailman/listinfo/6tsch
>>
>
> _______________________________________________ 6tsch mailing list
> [email-masked] https://www.ietf.org/mailman/listinfo/6tsch
> _______________________________________________ 6tsch mailing list
> [email-masked] https://www.ietf.org/mailman/listinfo/6tsch
>